Package org.eclipse.viatra.query.runtime.rete.recipes.helper

## Class RecipesHelper

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.recipes.helper.RecipesHelper

-     public class RecipesHelper
      extends java.lang.Object

  Static helper class for easy construction of recipes.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExpressionDefinition` | `expressionDefinition​(java.lang.Object evaluator)` |
    `static InputFilterRecipe` | `inputFilterRecipe​(ReteNodeRecipe parent, java.lang.Object inputKey, java.lang.String inputKeyID, Mask mask)` | Mask can be null in case no tuple reordering or trimming is needed
    `static InputRecipe` | `inputRecipe​(java.lang.Object inputKey, java.lang.String inputKeyID, int arity)` |
    `static Mask` | `mask​(int sourceArity, int... sourceIndices)` |
    `static Mask` | `mask​(int sourceArity, java.util.Collection<java.lang.Integer> sourceIndices)` |
    `static ProjectionIndexerRecipe` | `projectionIndexerRecipe​(ReteNodeRecipe parent, Mask mask)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### mask

          public static Mask mask​(int sourceArity,
                                  java.util.Collection<java.lang.Integer> sourceIndices)

      Since:
        2.0

    - #### mask

          public static Mask mask​(int sourceArity,
                                  int... sourceIndices)

    - #### projectionIndexerRecipe

          public static ProjectionIndexerRecipe projectionIndexerRecipe​(ReteNodeRecipe parent,
                                                                        Mask mask)

    - #### expressionDefinition

          public static ExpressionDefinition expressionDefinition​(java.lang.Object evaluator)

    - #### inputRecipe

          public static InputRecipe inputRecipe​(java.lang.Object inputKey,
                                                java.lang.String inputKeyID,
                                                int arity)

    - #### inputFilterRecipe

          public static InputFilterRecipe inputFilterRecipe​(ReteNodeRecipe parent,
                                                            java.lang.Object inputKey,
                                                            java.lang.String inputKeyID,
                                                            Mask mask)

      Mask can be null in case no tuple reordering or trimming is needed